import {i18n} from '@/i18n'
import type {INamespace} from '@/modelTypes/INamespace'

import {NAMESPACE_ID} from '@/constants/namespaces'

export const getNamespaceTitle = (n: INamespace) => {
	if (n.id === NAMESPACE_ID.SHARED_LIST) {
		return i18n.global.t('namespace.pseudo.sharedLists.title')
	}
	if (n.id === NAMESPACE_ID.FAVORITES) {
		return i18n.global.t('namespace.pseudo.favorites.title')
	}
	if (n.id === NAMESPACE_ID.FILTERS) {
		return i18n.global.t('namespace.pseudo.savedFilters.title')
	}
	return n.title
}
